org.eclipse.net4j.util.cache

## Class HysteresisConditionPolicy

- java.lang.Object
- - org.eclipse.net4j.util.cache.ThresholdConditionPolicy
  - - org.eclipse.net4j.util.cache.HysteresisConditionPolicy

- All Implemented Interfaces:
    ICacheMonitor.ConditionPolicy

      public class HysteresisConditionPolicy
      extends ThresholdConditionPolicy

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HysteresisConditionPolicy(long thresholdYellowRed, long thresholdRedYellow, long thresholdGreenYellow, long thresholdYellowGreen)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ICacheMonitor.Condition` | `getNewCondition(ICacheMonitor.Condition oldCondition, long freeMemory)`
    `long` | `getThresholdGreenYellow()`
    `long` | `getThresholdYellowRed()`

    - ### Methods inherited from class org.eclipse.net4j.util.cache.ThresholdConditionPolicy

      `getNewCondition, getThresholdRedYellow, getThresholdYellowGreen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HysteresisConditionPolicy

          public HysteresisConditionPolicy(long thresholdYellowRed,
                                           long thresholdRedYellow,
                                           long thresholdGreenYellow,
                                           long thresholdYellowGreen)

  - ### Method Detail

    - #### getThresholdYellowRed

          public long getThresholdYellowRed()

    - #### getThresholdGreenYellow

          public long getThresholdGreenYellow()

    - #### getNewCondition

          protected ICacheMonitor.Condition getNewCondition(ICacheMonitor.Condition oldCondition,
                                                            long freeMemory)

      Overrides:
        `getNewCondition` in class `ThresholdConditionPolicy`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html